Name:		kmyfirewall
Version:	1.1.1
Release:	alt1
Summary:	KMyFirewall -- iptables configuration tool
License:	GPLv2
Group:		Security/Networking
Url:		http://www.kmyfirewall.org/
Source0:	http://kent.dl.sourceforge.net/sourceforge/kmyfirewall/%name-%version.tar.bz2
Patch0:		%name-1.1.1-only_root.diff
Packager:	Motsyo Gennadi <drool@altlinux.ru>

Requires: iptables
Requires(post,postun): desktop-file-utils
BuildPreReq:    desktop-file-utils

# Automatically added by buildreq on Tue Jun 10 2008 (-bi)
BuildRequires: gcc-c++ imake kdelibs-devel libXext-devel libXt-devel libqt3-devel xorg-cf-files

%description
KMyFirewall attempts to make it easier to setup IPTables based firewalls on
Linux systems.  It will be the right tool if you like to have a so called
"Personal Firewall" running on your Linux box, but don't have the time and/or
the interest to spend hours in front of the IPTables manual just to setup a
Firewall that keeps the "bad" people out.

There is also the possibility to save entire rule sets, so you only have to
configure your rule set one time and then you can use it on several computers
giving each of them a similar configuration (p.e. school networks, office,
university etc.). For a complete list of the features have a look at the
Features section

Programs can't do any magic so you still will have to know what your firewall
should do to setup your rule set. KMyFirewall just tries to help you as much as
possible, but you decide what it will do.

%package devel
Summary:	KMyFirewall -- iptables configuration tool (Development package.)
License:	GPLv2
Group:		Development/KDE and QT

%description devel
This package contains KMyFirewall development files.

%prep
%setup -q
%patch0 -p1

%build
%__subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in                 
%__subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in                                             
%__subst "s/\.la/.so/g" admin/acinclude.m4.in                                                               
make -f admin/Makefile.common cvs ||:
%configure \
	--disable-debug \
	--enable-final \
	--disable-rpath
%make_build

%install
%make_install DESTDIR=%buildroot install

%post
%update_menus
%update_desktopdb
%post_ldconfig

%postun
%clean_menus
%clean_desktopdb
%postun_ldconfig

%files
%_bindir/kmyfirewall
%_libdir/kde3/*
%_libdir/*.so
%_libdir/*.so.*
%_datadir/applications/kde/kmyfirewall.desktop
%_datadir/apps/kmfgenericinterfacepart/
%_datadir/apps/kmfipteditorpart/
%_datadir/apps/kmfsystray/
%_datadir/apps/kmyfirewall/
%_datadir/config/kmyfirewallrc
%_datadir/config.kcfg/kmfconfig.kcfg
%_docdir/HTML/en/kmyfirewall/
%_datadir/icons/*/*/apps/kmyfirewall.png
%_datadir/mimelnk/application/kmfrs.desktop
%_datadir/services/*
%_datadir/servicetypes/*

%files devel
%dir %_includedir/kmyfirewall/
%_includedir/kmyfirewall/

%changelog
* Tue Jun 10 2008 Motsyo Gennadi <drool@altlinux.ru> 1.1.1-alt1
- picup from Orphaned
- new version
- run buildreq -bi script

* Tue Feb 07 2006 Igor Zubkov <icesik@altlinux.ru> 1.0-alt2
- fix build
- s/xorg-x11-devel-static/xorg-x11-devel/
- add requires on iptables

* Tue Jan 03 2006 Igor Zubkov <icesik@altlinux.ru> 1.0-alt1
- Initial build for Sisyphus
